Bug 184027 - Debug: sleeping function called from invalid context at include/asm/semaphore.h:99
Debug: sleeping function called from invalid context at include/asm/semaphore...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 204175 (view as bug list)
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2006-03-04 22:04 EST by Jesse Keating
Modified: 2015-01-04 17:25 EST (History)
7 users (show)

See Also:
Fixed In Version: 2.6.18-1.2200.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-13 18:53:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2006-03-04 22:04:20 EST
Debug: sleeping function called from invalid context at include/asm/semaphore.h:99
in_atomic():0, irqs_disabled():1
 [<c01e1af5>] acpi_os_wait_semaphore+0x61/0xb9     [<c01f69b1>]
acpi_ut_acquire_mutex+0x2f/0x65
 [<c01eef8c>] acpi_ns_evaluate_relative+0x4e/0xca     [<c01f2a57>]
acpi_rs_set_srs_method_data+0x93/0xb7
 [<c01f0042>] acpi_get_next_object+0x6/0x84     [<c01f9df7>]
acpi_pci_link_set+0xf0/0x169
 [<c01f9ea4>] irqrouter_resume+0x34/0x52     [<c0226867>] __sysdev_resume+0x11/0x53
 [<c02269a7>] sysdev_resume+0x16/0x47     [<c022a956>] device_power_up+0x5/0xa
 [<c0132e86>] enter_state+0x142/0x1ba     [<c0132f86>] state_store+0x88/0x94
 [<c0132efe>] state_store+0x0/0x94     [<c018817a>] subsys_attr_store+0x1e/0x22
 [<c0188289>] sysfs_write_file+0xa9/0xd2     [<c01881e0>] sysfs_write_file+0x0/0xd2
 [<c0154be3>] vfs_write+0xa1/0x140     [<c01550eb>] sys_write+0x3c/0x63
 [<c0102bc1>] syscall_call+0x7/0xb    <7>PM: Finishing wakeup.

kernel-2.6.15-1.2009.4.2_FC5
Comment 1 Thomas J. Baker 2006-03-08 22:05:33 EST
I'm seeing the same thing on resuming from hibernate but everything seems to
work fine:

swsusp: Restoring Highmem
Debug: sleeping function called from invalid context at include/asm/semaphore.h:99
in_atomic():0, irqs_disabled():1
 [<c01e1b41>] acpi_os_wait_semaphore+0x61/0xb9     [<c01f6a05>]
acpi_ut_acquire_mutex+0x2f/0x65
 [<c01eefd8>] acpi_ns_evaluate_relative+0x4e/0xca     [<c01f2aa3>]
acpi_rs_set_srs_method_data+0x93/0xb7
 [<c01f0096>] acpi_get_next_object+0xe/0x84     [<c01f9e4b>]
acpi_pci_link_set+0xf0/0x169
 [<c01f9ef8>] irqrouter_resume+0x34/0x52     [<c02268bb>] __sysdev_resume+0x11/0x53
 [<c02269fb>] sysdev_resume+0x16/0x47     [<c022a9aa>] device_power_up+0x5/0xa
 [<c013398d>] swsusp_suspend+0x6b/0x85     [<c01348e6>] pm_suspend_disk+0x4e/0xf8
 [<c0132d9c>] enter_state+0x50/0x1ba     [<c0132f8e>] state_store+0x88/0x94
 [<c0132f06>] state_store+0x0/0x94     [<c018819e>] subsys_attr_store+0x1e/0x22
 [<c01882ad>] sysfs_write_file+0xa9/0xd2     [<c0188204>] sysfs_write_file+0x0/0xd2
 [<c0154c0b>] vfs_write+0xa1/0x140     [<c0155113>] sys_write+0x3c/0x63
 [<c0102bc1>] syscall_call+0x7/0xb    <7>PM: Image restored successfully.

kernel-2.6.15-1.2032_FC5
Comment 2 Thomas J. Baker 2006-03-09 18:40:16 EST
I just had an interesting thing happen. The laptop had been sitting all day
since hibernating and then resuming last night (see error reported above). It
seems that gnome-power-manager was in a funk after the resume because the screen
wouldn't powersave and just now when I unplugged it from the charger, it went
into hibernate again. Came out fine and I'm posting this with it. FWIW, here's
the the similiar error I got this time.

Debug: sleeping function called from invalid context at include/asm/semaphore.h:99
in_atomic():0, irqs_disabled():1
 [<c01e1b41>] acpi_os_wait_semaphore+0x61/0xb9
 [<c01f6a05>] acpi_ut_acquire_mutex+0x2f/0x65     [<c01eefd8>]
acpi_ns_evaluate_relative+0x4e/0xca
 [<c01f2aa3>] acpi_rs_set_srs_method_data+0x93/0xb7     [<c01f0096>]
acpi_get_next_object+0xe/0x84
 [<c01f9e4b>] acpi_pci_link_set+0xf0/0x169     [<c01f9ef8>]
irqrouter_resume+0x34/0x52
 [<c02268bb>] __sysdev_resume+0x11/0x53     [<c02269fb>] sysdev_resume+0x16/0x47
 [<c022a9aa>] device_power_up+0x5/0xa     [<c013398d>] swsusp_suspend+0x6b/0x85
 [<c01348e6>] pm_suspend_disk+0x4e/0xf8     [<c0132d9c>] enter_state+0x50/0x1ba
 [<c0132f8e>] state_store+0x88/0x94     [<c0132f06>] state_store+0x0/0x94
 [<c018819e>] subsys_attr_store+0x1e/0x22     [<c01882ad>]
sysfs_write_file+0xa9/0xd2
 [<c0188204>] sysfs_write_file+0x0/0xd2     [<c0154c0b>] vfs_write+0xa1/0x140
 [<c0155113>] sys_write+0x3c/0x63     [<c0102bc1>] syscall_call+0x7/0xb
PM: Image restored successfully.

I'll post a bug against gnome-power-manager too referencing this bug.
Comment 3 Patrice Dumas 2006-08-30 07:29:55 EDT
*** Bug 204175 has been marked as a duplicate of this bug. ***
Comment 4 Len Brown 2006-08-31 00:34:41 EDT
the might_sleep stack trace from acpi_os_wait_semaphore
on resume should be gone as of 2.6.18-rc5.

http://bugzilla.kernel.org/show_bug.cgi?id=6810

in any case, it is a false warning, not an actual failure.
Comment 5 Dave Jones 2006-10-16 17:55:37 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.